
# IOTA Workshop

Simple examples to help a developer work through interacting with the IOTA network. 

### Getting started

To start playing with these examples run the following commands:

```bash
git clone https://github.com/iota-community/iota-workshop.git
cd iota-workshop
npm i
node code/1-hello-world.js
```

You should receive a message including the statistics of an IOTA node. This means you can explore and run the other examples.



### Examples included

Here are the examples included:

- 1-hello-world.js
- 2.1-send-hello.js
- 2.2-fetch-hello.js
- 3.1-create-address.js
- 3.2-check-balance.js
- 4-send-tokens.js
- 5.1-send-data.js
- 5.2-fetch-data.js
- 6.1-zmq-listen.js
- 6.2-zmq-message.js
- 7.1-mam-public-send.js
- 7.2-mam-public-fetch.js
- 7.3-mam-private-send.js
- 7.4-mam-private-fetch.js
- 7.5-mam-public-watch.js



### Work to be done:

- Provide directed commentary alongside each example!
- Improve code commenting
- Refactor code into a single style (arrows vs functions)
- Add complex application examples



#### Contribution

PRs are welcome on `master`



----

:beers: Lewi